gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-exchange] branch master updated: -fix mustach valgrind detection


From: gnunet
Subject: [taler-exchange] branch master updated: -fix mustach valgrind detection
Date: Mon, 01 Apr 2024 14:56:26 +0200

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository exchange.

The following commit(s) were added to refs/heads/master by this push:
     new 7e5ab53a7 -fix mustach valgrind detection
7e5ab53a7 is described below

commit 7e5ab53a78beb172cba18005e2370904c653e3df
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Mon Apr 1 14:56:24 2024 +0200

    -fix mustach valgrind detection
---
 contrib/ci/Containerfile                 | 1 -
 src/templating/dotest.sh                 | 6 ++----
 src/templating/mustach-original-Makefile | 8 --------
 3 files changed, 2 insertions(+), 13 deletions(-)

diff --git a/contrib/ci/Containerfile b/contrib/ci/Containerfile
index cee2620e3..ac31c7ade 100644
--- a/contrib/ci/Containerfile
+++ b/contrib/ci/Containerfile
@@ -10,7 +10,6 @@ RUN apt-get update -yqq && \
            bash \
            coreutils \
            git \
-           strace \
                   libcurl4-gnutls-dev \
                   libgcrypt-dev \
                   libidn11-dev \
diff --git a/src/templating/dotest.sh b/src/templating/dotest.sh
index 2dcc25f81..32f575c2e 100755
--- a/src/templating/dotest.sh
+++ b/src/templating/dotest.sh
@@ -6,14 +6,12 @@ exit_fail() {
     exit 1
 }
 
-mustach="../mustach"
+mustach="${mustach:-../mustach}"
 echo "starting test"
-if test "$NOVALGRIND" = 1
+if ! valgrind --version 2> /dev/null
 then
-       strace -f $mustach "$@"
        $mustach "$@" > resu.last || exit_fail "ERROR! mustach command failed 
($?)!"
 else
-       valgrind $mustach "$@"
        valgrind $mustach "$@" > resu.last 2> vg.last || exit_fail "ERROR! 
valgrind + mustach command failed ($?)!"
        sed -i 's:^==[0-9]*== ::' vg.last
        awk '/^ *total heap usage: .* allocs, .* frees,.*/{if($$4-$$6)exit(1)}' 
vg.last || exit_fail "ERROR! Alloc/Free issue"
diff --git a/src/templating/mustach-original-Makefile 
b/src/templating/mustach-original-Makefile
index a45bd5fa1..aee827583 100644
--- a/src/templating/mustach-original-Makefile
+++ b/src/templating/mustach-original-Makefile
@@ -237,14 +237,6 @@ uninstall:
        rm -f $(DESTDIR)$(LIBDIR)/libmustach*.so*
        rm -rf $(DESTDIR)$(INCLUDEDIR)/mustach
 
-# testing
-ifeq ($(valgrind),no)
- NOVALGRIND := 1
-else
- NOVALGRIND := $(valgrind --version > /dev/null && echo 0 || echo 1)
-endif
-export NOVALGRIND
-
 .PHONY: test test-basic test-specs
 test: basic-tests spec-tests
 

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]